---
schema_version: "1"
id: 6895571b14e13f4798e93f5b763c46499ca4925b2bfd423f195b52cdbe46e9f5
title: GET /contacts/v1/attributeSetDefinitions/{id}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/retrieveAttributeSetDefinitions.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/retrieveAttributeSetDefinitions.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 15f4bf41f279d37d7eea8e8784d2f2b7d222d74a8e41a2ea0bf71a168833dfc4
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/attributeSetDefinitions/{id}

Retrieves an attribute set definition from your contact data model.

## URL Parameters

| Name | Type   | Description                                   |
| ---- | ------ | --------------------------------------------- |
| `id` | string | The unique ID of an attribute set definition. |

## Code Example

To retrieve information about an attribute set definition, issue a GET request to the `/contacts/v1/attributeSetDefinitions/{id}` endpoint. Replace `{id}` with the UUID of the attribute set.

```none
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/attributeSetDefinitions/{id}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The response contains information about the attribute set that you specified in the request.

```json
{
  "item": {
    "id": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
    "key": "Contact",
    "name": {
      "value": "Contact"
    },
    "fullyQualifiedName": "Contact",
    "isRoot": false,
    "isSendable": false,
    "isEvent": false,
    "relationships": [
      {
        "id": "507b6afa-7e4c-e311-8052-e83935a85380",
        "leftItem": {
          "relationshipType": "AttributeGroup",
          "identifier": "ab7a6afa-7e4c-e311-8052-e83935a85380",
          "cardinality": "One",
          "connectingID": {
            "identifierType": "FullyQualifiedName"
          },
          "objectState": "Created"
        },
        "rightItem": {
          "relationshipType": "AttributeSet",
          "identifier": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
          "cardinality": "One",
          "connectingID": {
            "identifierType": "FullyQualifiedName"
          },
          "objectState": "Created"
        },
        "relationshipAttributes": [
          {
            "leftAttributeID": "784e0522-e295-4ad1-9121-74cd50f47183",
            "rightAttributeID": "784e0522-e295-4ad1-9121-74cd50f47183",
            "leftConnectingID": {
              "identifierType": "FullyQualifiedName"
            },
            "rightConnectingID": {
              "identifierType": "FullyQualifiedName"
            },
            "objectState": "Created"
          }
        ],
        "isSystemDefined": false,
        "leftRelationshipReferenceType": "CustomerData",
        "leftRelationshipIDs": [
          {
            "type": "int16",
            "value": "2"
          }
        ],
        "canModify": false,
        "canRemove": false,
        "links": {},
        "objectState": "Created"
      }
    ],
    "attributes": [
      {
        "id": "497b6afa-7e4c-e311-8052-e83935a85380",
        "key": "ContactKey",
        "name": {
          "value": "Contact Key"
        },
        "storageName": "SubscriberKey",
        "dataType": "Text",
        "isPrimaryKey": false,
        "isNullable": false,
        "isReadOnly": true,
        "ranges": [],
        "description": "",
        "length": -1,
        "dataSourceID": 1,
        "restrictedValues": [],
        "customerDataID": 3,
        "fullyQualifiedName": "Contact.Contact Key",
        "parentId": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
        "isSystemDefined": true,
        "isIdentityValue": false,
        "isHidden": false,
        "isUpdateable": false,
        "parentType": "Set",
        "dataSourceName": {},
        "links": {},
        "objectState": "Created"
      },
      {
        "id": "784e0522-e295-4ad1-9121-74cd50f47183",
        "key": "ContactID",
        "name": {
          "value": "Contact ID"
        },
        "storageName": "SubscriberID",
        "dataType": "Number",
        "isPrimaryKey": true,
        "isNullable": false,
        "isReadOnly": true,
        "ranges": [],
        "description": "",
        "dataSourceID": 1,
        "restrictedValues": [],
        "customerDataID": 2,
        "fullyQualifiedName": "Contact.Contact ID",
        "parentId": "fab858d9-8473-4b43-a8bb-f3ca921c54a8",
        "isSystemDefined": true,
        "isIdentityValue": false,
        "isHidden": false,
        "isUpdateable": false,
        "parentType": "Set",
        "dataSourceName": {},
        "links": {},
        "objectState": "Created"
      }
    ],
    "canAddValues": false,
    "isSystemDefined": true,
    "canRemove": false,
    "canModify": false,
    "isReadOnly": true,
    "applicationID": "ce703ed3-e01f-4f5f-900d-76a95b363e29",
    "applicationKey": "com.exacttarget.contacts",
    "links": {},
    "objectState": "Created"
  },
  "links": {
    "attributeSetDefinitions": {
      "href": "/v1/attributeSetDefinitions"
    },
    "schema": {
      "href": "/v1/schema"
    }
  },
  "requestServiceMessageID": "06e44ef4-9753-4cb4-b20a-d51eced27b3c",
  "responseDateTime": "2024-09-05T14:04:09.041557-06:00",
  "resultMessages": [],
  "serviceMessageID": "635a0c87-3d9e-450b-93a8-4223e0187aba"
}
```
